# -*- coding: utf-8 -*-

# Copyright (c) 2008 - 2009 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing the Add New Parameter dialog.
"""

from PyQt4.QtGui import *
from PyQt4.QtCore import *

from Ui_AddParameterDialog import Ui_AddParameterDialog

class AddParameterDialog(QDialog, Ui_AddParameterDialog):
    """
    Class implementing the Add New Parameter dialog.
    """
    def __init__(self, parent = None):
        """
        Constructor
        
        @param parent reference to the parent widget (QWidget)
        """
        QDialog.__init__(self, parent)
        self.setupUi(self)
        
        self.__okButton = self.buttonBox.button(QDialogButtonBox.Ok)
        self.__okButton.setEnabled(False)
    
    @pyqtSignature("QString")
    def on_nameEdit_textChanged(self, txt):
        """
        Private slot called, when the name entry is changed.
        
        @param txt text of the entry (QString)
        """
        self.__okButton.setEnabled(not txt.isEmpty())
    
    def getData(self):
        """
        Public method to extract the data entered into the dialog.
        
        @return tuple of three strings (name, default and value)
        """
        return (unicode(self.nameEdit.text()), 
                unicode(self.defaultEdit.text()), 
                unicode(self.valueEdit.text()))
