# -*- coding: utf-8 -*-

# Copyright (c) 2008 - 2009 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing the Rope Autocompletion configuration page.
"""

from Preferences.ConfigurationPages.ConfigurationPageBase import ConfigurationPageBase
from Ui_AutoCompletionRopePage import Ui_AutoCompletionRopePage

class AutoCompletionRopePage(ConfigurationPageBase, Ui_AutoCompletionRopePage):
    """
    Class implementing the Rope Autocompletion configuration page.
    """
    def __init__(self, plugin):
        """
        Constructor
        
        @param plugin reference to the plugin object
        """
        ConfigurationPageBase.__init__(self)
        self.setupUi(self)
        self.setObjectName("AutoCompletionRopePage")
        
        self.__plugin = plugin
        
        # set initial values
        self.ropeAutocompletionCheckBox.setChecked(\
            self.__plugin.getPreferences("CodeAssistEnabled"))
        self.acMaxfixesSpinBox.setValue(self.__plugin.getPreferences("MaxFixes"))
        self.codeAssistTimeoutSpinBox.setValue(\
            self.__plugin.getPreferences("CodeAssistTimeout"))
        
    def save(self):
        """
        Public slot to save the Rope Autocompletion configuration.
        """
        self.__plugin.setPreferences("CodeAssistEnabled", 
            int(self.ropeAutocompletionCheckBox.isChecked()))
        self.__plugin.setPreferences("MaxFixes", self.acMaxfixesSpinBox.value())
        self.__plugin.setPreferences("CodeAssistTimeout", 
            self.codeAssistTimeoutSpinBox.value())
